Subject: Re: [PATCH v2] netfilter: save the hash of the tuple in the original direction for latter use

From: Mathieu Desnoyers <[email-masked]>
Date: Thu, 19 Aug 2010 12:11:12 -0400

* Eric Dumazet ([email-masked]) wrote:
> Le jeudi 19 août 2010 à 23:35 +0800, Changli Gao a écrit :
> 
> > 
> > In fact, I don't know the reason clearly. This code is derived from
> > the older one. Maybe there isn't enough entropy when initializing.
> > 
> 
> Yes, we wanted to initialize these random data as late as possible, that
> is when the first entry is added in conntrack hash.

Ah, I see. But I think the static variable should stay declared outside
of the function scope, with a nice comment explaining why it's not
initialized at init-time.

Hiding global state in function code is usually frowned upon.

Thanks,

Mathieu

-- 
Mathieu Desnoyers
Operating System Efficiency R&D Consultant
EfficiOS Inc.
http://www.efficios.com